<?php

require_once('../../libreriasphp/html2pdf/_tcpdf_5.9.206/tcpdf.php');

session_start();

require_once ("../../config/Cado.php");
require_once ("../../app/cajagestion/cCajagestion.php");
$oCajagestion = new cCajagestion();
require_once ("../../app/usuario/cUsuario.php");
$oUsuario = new cUsuario();
require_once ("../../app/bonificacion_cst/cBonificacion_cst.php");
$oBonificacion_cst = new cBonificacion_cst();
require_once ("../../app/empresa/cEmpresa.php");
$oEmpresa = new cEmpresa();
require_once ("../../app/formatos/numletras.php");
require_once ("../../app/formatos/formato.php");


date_default_timezone_set('America/Lima');
$now =  date('d-m-Y h:i:s a');
$fec=date('d-m-Y');


$dts=$oEmpresa->mostrarUno(1);
$dt = mysqli_fetch_array($dts);
	$emp_ruc=$dt['tb_empresa_ruc'];
	$emp_nomcom=$dt['tb_empresa_nomcom'];
	$emp_razsoc=$dt['tb_empresa_razsoc'];
	$emp_dir=$dt['tb_empresa_dir'];
	$emp_dir2=$dt['tb_empresa_dir2'];
	$emp_tel=$dt['tb_empresa_tel'];
	$emp_ema=$dt['tb_empresa_ema'];
	$emp_fir=$dt['tb_empresa_fir'];		
mysqli_free_result($dts);
	

$dts=$oUsuario->mostrarUno($_SESSION['usuario_id']);
	$dt = mysqli_fetch_array($dts);
	$usugru		=$dt['tb_usuariogrupo_id'];
	$usugru_nom	=$dt['tb_usuariogrupo_nom'];
	$usu_nom	=$dt['tb_usuario_nom'];
	$usu_ape	=$dt['tb_usuario_ape'];
	$ema		=$dt['tb_usuario_ema'];
	$punven_id		=$dt['tb_puntoventa_id'];
	
	mysqli_free_result($dts);

$usuario="$usu_nom $usu_ape";



$dts1 =$oCajagestion->mostrarUno2($_GET['usu_id'],'1',fecha_mysql($fec));
$numrows1 = mysqli_num_rows($dts1);

if($numrows1>0){
    
    $dt1 = mysqli_fetch_array($dts1);
    
    $ape_efe = $dt1["tb_cajagestion_efe"];
     $ape_tra = $dt1["tb_cajagestion_deptra"];
      $ape_yap = $dt1["tb_cajagestion_yap"];
       $ape_pli = $dt1["tb_cajagestion_pli"];
    
    
}




//echo $punven_id.'---';


$dts2 =$oCajagestion->mostrarUno2($_GET['usu_id'],'2',fecha_mysql($fec));
$numerows2 = mysqli_num_rows($dts2);
//echo $numrows2.'---';

if($numerows2>0){
    
    $dt2 = mysqli_fetch_array($dts2);
     $cie_efe = $dt2["tb_cajagestion_efe"];
     $cie_tra = $dt2["tb_cajagestion_deptra"];
      $cie_yap = $dt2["tb_cajagestion_yap"];
       $cie_pli = $dt2["tb_cajagestion_pli"];
       
      /// EFECTIVO VENTAS
   
 $dts3 =$oCajagestion->consultaventacierre($_GET['usu_id'],$punven_id,'1','16',fecha_mysql($fec));
    $numrows3 = mysqli_num_rows($dts3);
    $dt3 = mysqli_fetch_array($dts3);
    $total_efe = $dt3['total'];



   /// EFECTIVO DEPOSITBTRANS
    $dts3 =$oCajagestion->consultaventacierre($_GET['usu_id'],$punven_id,'2','',fecha_mysql($fec));
    $numrows3 = mysqli_num_rows($dts3);
    $dt3 = mysqli_fetch_array($dts3);
    $total_deptra = $dt3['total'];
    
    
     /// EFECTIVO YAPE  
    $dts3 =$oCajagestion->consultaventacierre($_GET['usu_id'],$punven_id,'3',17,fecha_mysql($fec));
    $numrows3 = mysqli_num_rows($dts3);
    $dt3 = mysqli_fetch_array($dts3);
    $total_yape = $dt3['total'];
    
    
    
     /// EFECTIVO DEPOSITBTRANS
    $dts3 =$oCajagestion->consultaventacierre($_GET['usu_id'],$punven_id,'3','18',fecha_mysql($fec));
    $numrows3 = mysqli_num_rows($dts3);
    $dt3 = mysqli_fetch_array($dts3);
    $total_plin = $dt3['total'];
    


    $salefe = moneda_mysql($cie_efe) - moneda_mysql($total_efe);
    if($salefe>0){
         $lblefe = "SOBRA ".formato_money($salefe);
    }else   if($salefe<0){
         $lblefe = "FALTA ".formato_money($salefe);
    }
    
      
    $saltra = moneda_mysql($cie_tra) - moneda_mysql($total_deptra);
    if($saltra>0){
         $lbltra = "SOBRA ".formato_money($saltra);
    }else   if($saltra<0){
         $lbltra = "FALTA ".formato_money($saltra);
    }

       
      $salyap = moneda_mysql($cie_yap) - moneda_mysql($total_yape);
    if($salyap>0){
         $lblyap = "SOBRA ".formato_money($salyap);
    }else   if($salyap<0){
         $lblyap = "FALTA ".formato_money($salyap);
    }
    
    
      $salpli = moneda_mysql($cie_pli) - moneda_mysql($total_plin);
    if($salpli>0){
         $lblpli = "SOBRA ".formato_money($salpli);
    }else   if($salpli<0){
         $lblpli = "FALTA ".formato_money($salpli);
    }
    
   
}






	$dts7 = $oBonificacion_cst->verSuma_BonificacionVendedorFecha(fecha_mysql($fec),$_GET['usu_id']);
	$dt7 = mysqli_fetch_array($dts7);
	$totalbonificacion = $dt7['totalbonificacion'];




	
$title = "CAJA REPORTE".$usuario.'_'.$now;
$nombre_archivo = $emp_ruc.'_CAJAREPORTE_'.$usuario.'_'.$now.'.pdf';

// $file_name = 'FA-'.$serie.'-'.$numero.'-code.png';
// $path = 'temp/'.$file_name;
// $type = pathinfo($path, PATHINFO_EXTENSION);
// $data = file_get_contents($path);
// $base64 = 'data:image/' . $type . ';base64,' . base64_encode($data);


class MYPDF extends TCPDF
{

    public function Header() {	
      //$image_file = K_PATH_IMAGES.'logo.jpg';
      //$this->Image($image_file, 20, 10, 71, '', 'JPG', '', 'T', false, 300, '', false, false, 0, false, false, false);
      // Set font
      //$this->SetFont('helvetica', 'B', 20);
      // Title
      //$this->Cell(0, 15, '<< TCPDF Example 003 >>', 0, false, 'C', 0, '', 0, false, 'M', 'M');
    }

    public function Footer() 
    {
      // $style = array(
      //   'position' => 'L',
      //   'align' => 'L',
      //   'stretch' => false,
      //   'fitwidth' => true,
      //   'cellfitalign' => '',
      //   'border' => false,
      //   'padding' => 0,
      //   'fgcolor' => array(0,0,0),
      //   'bgcolor' => false,
      //   'text' => false
      // //     'font' => 'helvetica',
      // //     'fontsize' => 8,
      // //     'stretchtext' => 4
      // );

      // $this -> SetY(-24);
      // // Page number
      // $this->SetFont('helvetica', '', 9);
      // //$this->SetTextColor(0,0,0);
      // $this->Cell(0, 0, 'Página '.$this->getAliasNumPage().' de '.$this->getAliasNbPages(), 'T', 1, 'R', 0, '', 0, false, 'T', 'M');
      
      // $codigo='CAV-'.str_pad($_GET['d1'], 4, "0", STR_PAD_LEFT);
      
      // $this->write1DBarcode($codigo, 'C128', '', 273, '', 6, 0.3, $style, 'N');
      // $this->Cell(0, 0, 'www.prestamosdelnortechiclayo.com', 0, 1, 'C', 0, '', 0, false, 'T', 'M');        
    }
}

// create new PDF document
$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('https://infosisperu.com.pe');
$pdf->SetTitle($title);

$pdf->SetSubject('https://infosisperu.com.pe');
$pdf->SetKeywords('https://infosisperu.com.pe');

// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

//set margins
$pdf->SetMargins(12,15, 12);// left top right
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
//$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

//set auto page breaks
$pdf->SetAutoPageBreak(TRUE, 15);

//set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

//set some language-dependent strings
$pdf->setLanguageArray($l);

// ---------------------------------------------------------

// add a page
$pdf->AddPage('P', 'A4');

//font-family: Consolas, monaco, monospace;
//helvetica, monaco, monospace;

// Introducimos HTML de prueba
$html = '
<!DOCTYPE html>
<html lang="es">
<head>
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
	 <link rel="shortcut icon" href="../../admin/bootstrap/images/favicon.png">
</head>
<style type="text/css">
    body {
        color: black;
        font-family: Verdana, Arial, Consolas;
        margin: 0px;
        padding-top: 0px;
        font-size: 7.5pt;
    }
    .header_row th {
		font-size:28px;
		background-color:#eee;
        
        
        border-left: 0.9px solid #010101;
        border-top: 0.9px solid #010101;
    }
    .odd_row td {
        background-color: transparent;
        
        padding-top: 5px;
        padding-bottom: 5px;
    }
    .even_row td {
        padding-top: 5px;
        padding-bottom: 5px;
       
    }
    .row td{
        
        border-left: 0.9px solid #010101;
    }
</style>

<style media="print">
    .oculto{
        display: none;
    }

</style>
<body>




<table width="100%" style="" > 
<tr>
	<td width="22%">
	<img src="../../imagenes/logo1.png" alt="" />
	</td>
        <td style="text-align:center;" width="50%">
		<br />
		<br />
            <strong style="font-size:40px">'.$emp_razsoc.'</strong>
			<br>
            '.$emp_dir.'<br />   <strong>Telf.: '.$emp_tel.'  E-mail.: '.$emp_ema.'</strong> 
			<br />       
		</td>   
	   <td width="" style="text-align:center;border:1px solid #010101;">
         <br>
         <br>
       <strong style="font-size: 40px">CAJA<br>
            RUC: '.$emp_ruc.'<br>
            '.$now.'</strong>
			  <br>
        </td>
    </tr>
</table>

<br />
<br />



	<div style="border-radius:20%;border:1px solid #E0E0E0;padding:10%;">
    <table>
        <tr  style="border:1px solid #010101" >
            <td style="text-align: left;font-weight:bold;padding:10%;font-size:35px;" width="10%"><strong>USUARIO:</strong></td>
            <td style="text-align: left;padding:15%;font-size:30px" width="50%">'.$usuario.'</td>
             <td style="text-align: left;font-weight:bold;padding:10%;font-size:35px;" width="20%">FECHA REPORTE:</td>
            <td style="text-align: left;font-size:30px" width="20%">'.$now.'</td>
            
        </tr>
    </table>
    </div>
    
    


<br />
<br />

	<div style="border-radius:20%;border:1px solid #E0E0E0;padding:10%;">
<table width="100%;" style="border-collapse: collapse;height:400px;"  >
    <tbody >
        
		<tr style="0101;pborder-bottom:1px solid #01adding:10%;font-size:50px;font-weight:bold;">
	    	<td colspan="2" style="" >APERTURA DE CAJA</td>
		</tr>
		
		<tr style="padding:15%;font-size:35px;">
		    <td style="text-align: left;" >EFECTIVO</td>
		    <td style="text-align: left;" >'.formato_money($ape_efe).'</td>
		</tr>
		
		<tr style="padding:15%;font-size:30px;">
		    <td style="text-align: left;" >TRANSFERENCIA/DEPOSITO</td>
		    <td style="text-align: left;" >'.formato_money($ape_tra).'</td>
		</tr>
		
		<tr style="padding:15%;font-size:30px;">
		    <td style="text-align: left;" >YAPE</td>
		    <td style="text-align: left;" >'.formato_money($ape_yap).'</td>
		</tr>
		
		<tr style="padding:15%;font-size:30px;">
		    <td style="text-align: left;" >PLIN</td>
		    <td style="text-align: left;" >'.formato_money($ape_pli).'</td>
		</tr>
		
	
</tbody>

</table>
</div>



<br />
<br />
<br />


	<div style="border-radius:20%;border:1px solid #E0E0E0;padding:10%;">	
	<table width="100%;" style="border-collapse: collapse;height:400px;"  >
    <tbody >
    
	
		
		<tr style="0101;pborder-bottom:1px solid #01adding:10%;font-size:50px;font-weight:bold;">
	    	<td colspan="3" style="" >CIERRE DE CAJA</td>
		</tr>
		
		<tr style="padding:15%;font-size:35px;">
		    <td style="text-align: left;" >EFECTIVO</td>
		    <td style="text-align: left;" >'.formato_money($cie_efe).'</td>
		     <td style="text-align: left;" >'.$lblefe.'</td>
		</tr>
		
		<tr style="padding:15%;font-size:30px;">
		    <td style="text-align: left;" >TRANSFERENCIA/DEPOSITO</td>
		    <td style="text-align: left;" >'.formato_money($cie_tra).'</td>
		     <td style="text-align: left;" >'.$lbltra.'</td>
		</tr>
		
		<tr style="padding:15%;font-size:30px;">
		    <td style="text-align: left;" >YAPE</td>
		    <td style="text-align: left;" >'.formato_money($cie_yap).'</td>
		     <td style="text-align: left;" >'.$lblyap.'</td>
		</tr>
		
		<tr style="padding:15%;font-size:30px;">
		    <td style="text-align: left;" >PLIN</td>
		    <td style="text-align: left;" >'.formato_money($cie_pli).'</td>
		     <td style="text-align: left;" >'.$lblpli.'</td>
		</tr>





</tbody>

</table>
</div>

<br/>
<br/>



	<div style="border-radius:20%;border:1px solid #E0E0E0;padding:10%;">	
	<table width="100%;" style="border-collapse: collapse;height:400px;"  >
    <tbody >
    
	
		
		<tr style="0101;pborder-bottom:1px solid #01adding:10%;font-size:50px;font-weight:bold;">
	    	<td colspan="2" style="" >TOTAL BONIFICACION</td>
	    	<td colspan="1" style="" >'.formato_money($totalbonificacion).'</td>
		</tr>
		

</tbody>

</table>
</div>


';

$html.='
</body>
</html>';

$pdf->writeHTML($html, true, 0, true, true);

//$pdf->write2DBarcode($ruc_empresa.'|'.$idcomprobante.'|'.$serie.'|'.$numero.'|'.$toigv.'|'.$importetotal.'|'.fecha_mysql($fecha).'|'.$idtipodni.'|'.$ruc.'|', 'QRCODE,Q', 157, 99, 40, 40, $style, 'N');

$pdf->Output($nombre_archivo, 'I');
